SharedTemplateQueryParameters class final
Parameters used for querying templates that can create one or more features in the database.
These parameters provide criteria that define a template or layer, restrict by reference or visibility, and include tags to filter the templates returned.
Templates from SharedTemplateQuerySourceType.layer source can only be filtered by the SharedTemplateQueryParameters.layerIds. The rest of the parameters here are not applicable.
- Implemented types
Constructors
-
Creates shared template query parameters.
factory
Properties
- hashCode → int
-
The hash code for this object.
no setterinherited
-
layerIds
→ List<
int> -
The collection of IDs that identify layers where the templates can be
used.
no setter
- restrictToReferencedLayers ↔ bool
-
True to only return templates with all parts specified in the
SharedTemplateQueryParameters.layerIds; otherwise, false. Default is
true.
getter/setter pair
- returnVisibleOnly ↔ bool
-
True to return only the visible templates; otherwise, false. Default is
true.
getter/setter pair
- runtimeType → Type
-
A representation of the runtime type of the object.
no setterinherited
- sourceType ↔ SharedTemplateQuerySourceType
-
Specifies the source of templates for this query. Default is
SharedTemplateQuerySourceType.database.
getter/setter pair
-
Queries for templates with any of the matching tags.
no setter
-
templateIds
→ List<
int> -
A collection of IDs of templates to fetch.
no setter
Methods
-
noSuchMethod(
Invocation invocation) → dynamic -
Invoked when a nonexistent method or property is accessed.
inherited
-
toString(
) → String -
A string representation of this object.
inherited
Operators
-
operator ==(
Object other) → bool -
The equality operator.
inherited